%define name tuxpuck
%define version 0.7.9
%define release 1mdk

Summary: Clone of ShufflePuck Cafe historical game
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
URL: http://www.efd.lth.se/~d00jkr/tuxpuck/
License: GPL
Group: Games/Arcade
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Epoch: 1
# Author: d00jkr@efd.lth.se

%description
Anyone remember "Shufflepuck Cafe" for the Amiga/AtariST ?

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_gamesbindir}
install -m755 tuxpuck $RPM_BUILD_ROOT%{_gamesbindir}

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): needs=x11 section="Amusement/Arcade" title="Tuxpuck" \
  longtitle="Clone of ShufflePuck Cafe" icon="arcade_section" command="%{_gamesbindir}/tuxpuck"
EOF

chmod a+r README

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_gamesbindir}/*
%{_menudir}/*

%changelog
* Mon Feb 18 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.9-1mdk
- new version (with legal problems solved)

* Mon Feb  4 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.7-1mdk
- new version

* Thu Jan 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.0-1mdk
- 0.7.0

* Tue Dec 25 2001 David BAUDENS <baudens@mandrakesoft.com> 0.30-2mdk
- Use standard icon in menu

* Thu Dec 20 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.30-1mdk
- first mdk package
